<section>
  <form [formGroup]="customerForm" (submit)="submitForm()">
    <div class="form-group">
      <label for="customerName">
        Name
      </label>
      <input formControlName="name" type="text" id="customerName" class="form-control">
    </div>
    <div class="form-group">
      <label for="customerId">
        Kundennummer
      </label>
      <input formControlName="number" type="number" id="customerId" class="form-control">
      <small *ngIf="customerForm.get('number')?.value > 10000" id="specialCustomer" class="form-text my-3 alert alert-success">
        Premiumkunde!
      </small>
    </div>

    <div class="form-group">
      <button type="submit"
              class="btn btn-primary"
              [disabled]="customerForm.invalid"
              [class.disabled]="customerForm.invalid">
        Aktuelle Angebote
      </button>
    </div>
  </form>
</section>
